Library Version 18.1.40

DbEnv::mutex_get_tas_spins()
Prev | Chapter 10. Mutex Methods | Next

## DbEnv::mutex_get_tas_spins()

    #include <db_cxx.h>

    int
    DbEnv::mutex_get_tas_spins(u_int32_t *, tas_spinsp);

The `DbEnv::mutex_get_tas_spins()` method returns the test-and-set spin count. This value may be configured using the DbEnv::mutex_set_tas_spins() method.

The `DbEnv::mutex_get_tas_spins()` method may be called at any time during the life of the application.

The `DbEnv::mutex_get_tas_spins()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### tas_spinsp

The `DbEnv::mutex_get_tas_spins()` method returns the test-and-set spin count in tas_spinsp.

### Class

DbEnv

### See Also

Mutex Methods

Prev | Up | Next
DbEnv::mutex_get_max() | Home | DbEnv::mutex_lock()